scala.collection.TraversableOnce

# OnceCanBuildFrom

#### class OnceCanBuildFrom[A] extends BufferedCanBuildFrom[A, TraversableOnce]

With the advent of `TraversableOnce`, it can be useful to have a builder which operates on `Iterator`s so they can be treated uniformly along with the collections. See `scala.util.Random.shuffle` or `scala.concurrent.Future.sequence` for an example.

Source
  TraversableOnce.scala

Linear Supertypes
BufferedCanBuildFrom[A, TraversableOnce], CanBuildFrom[TraversableOnce[_], A, TraversableOnce[A]], AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. OnceCanBuildFrom
2. BufferedCanBuildFrom
3. CanBuildFrom
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new OnceCanBuildFrom()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from OnceCanBuildFrom[A] to any2stringadd[OnceCanBuildFrom[A]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (OnceCanBuildFrom[A], B)

   Implicit information
     This member is added by an implicit conversion from OnceCanBuildFrom[A] to ArrowAssoc[OnceCanBuildFrom[A]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def apply(): Builder[A, TraversableOnce[A]]

   Creates a new builder from scratch

   Creates a new builder from scratch

   returns

     the result of invoking the `newBuilder` method of this factory.

   Definition Classes
     BufferedCanBuildFrom → CanBuildFrom

7. #### def apply(from: TraversableOnce[_]): Builder[A, TraversableOnce[A]]

   Creates a new builder on request of a collection.

   Creates a new builder on request of a collection.

   from

     the collection requesting the builder to be created.

   returns

     the result of invoking the `genericBuilder` method on `from`.

   Definition Classes
     BufferedCanBuildFrom → CanBuildFrom

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def bufferToColl[B](buff: ArrayBuffer[B]): Iterator[B]

   Definition Classes
     OnceCanBuildFrom → BufferedCanBuildFrom

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### def ensuring(cond: (OnceCanBuildFrom[A]) ⇒ Boolean, msg: ⇒ Any): OnceCanBuildFrom[A]

    Implicit information
      This member is added by an implicit conversion from OnceCanBuildFrom[A] to Ensuring[OnceCanBuildFrom[A]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: (OnceCanBuildFrom[A]) ⇒ Boolean): OnceCanBuildFrom[A]

    Implicit information
      This member is added by an implicit conversion from OnceCanBuildFrom[A] to Ensuring[OnceCanBuildFrom[A]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean, msg: ⇒ Any): OnceCanBuildFrom[A]

    Implicit information
      This member is added by an implicit conversion from OnceCanBuildFrom[A] to Ensuring[OnceCanBuildFrom[A]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean): OnceCanBuildFrom[A]

    Implicit information
      This member is added by an implicit conversion from OnceCanBuildFrom[A] to Ensuring[OnceCanBuildFrom[A]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from OnceCanBuildFrom[A] to StringFormat[OnceCanBuildFrom[A]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### def newIterator: Builder[A, TraversableOnce[A]]

    Definition Classes
      BufferedCanBuildFrom

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toString(): String

    Definition Classes
      AnyRef → Any

28. #### def traversableToColl[B](t: GenTraversable[B]): Traversable[B]

    Definition Classes
      OnceCanBuildFrom → BufferedCanBuildFrom

29. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### def →[B](y: B): (OnceCanBuildFrom[A], B)

    Implicit information
      This member is added by an implicit conversion from OnceCanBuildFrom[A] to ArrowAssoc[OnceCanBuildFrom[A]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from BufferedCanBuildFrom[A, TraversableOnce]

### Inherited from CanBuildFrom[TraversableOnce[_], A, TraversableOnce[A]]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from OnceCanBuildFrom[A] to any2stringadd[OnceCanBuildFrom[A]]

### Inherited by implicit conversion StringFormat from OnceCanBuildFrom[A] to StringFormat[OnceCanBuildFrom[A]]

### Inherited by implicit conversion Ensuring from OnceCanBuildFrom[A] to Ensuring[OnceCanBuildFrom[A]]

### Inherited by implicit conversion ArrowAssoc from OnceCanBuildFrom[A] to ArrowAssoc[OnceCanBuildFrom[A]]

### Ungrouped